<?php
  require "include/struct.inc.php";
  head("Sorgente dell'esempio"); ?>
<style type="text/css">
.html {
  color: #00cc00;
}
.comment {
  color: #444444;
}
</style>
<font size=+2>
<B><TT><PRE>
<span class=html>&lt;!-- Parte in HTML --&gt;
&lt;html&gt;&lt;head&gt;
&lt;title&gt;Lezioncina sul PHP - 13&lt;/title&gt;
&lt;meta name=&quot;author&quot; content=&quot;Ing. Stefano Salvi&quot;&gt;
&lt;/head&gt;
&lt;body bgcolor=#ffffcc text=#000080 vlink=#0040cc link=#0080ff&gt;
&lt;table width=100% height=100%&gt;&lt;tr&gt;
&lt;td width=90% valign=middle&gt;
&lt;h1 align=center&gt;&lt;font size=+5&gt;Esempio di pagina HTML Dinamica&lt;/font&gt;&lt;/h1&gt;
&lt;/td&gt;&lt;td width=90 valign=middle&gt;&lt;img src=php.jpg align=right border=0 usemap=#mymap&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;map name=mymap&gt;
&lt;area shape=rect coords=0,0,30,90 href=12.html&gt;
&lt;area shape=rect coords=30,0,60,90 href=index.html&gt;
&lt;area shape=rect coords=60,0,90,90 href=14.html&gt;
&lt;/map&gt;
&lt;tr&gt;
&lt;td height=80% valign=middle align=left colspan=2&gt;
&lt;font size=+5&gt;&lt;ul&gt;
&lt;h1 align=center&gt;Esempio di pagina HTML Dinamica con interazione dell'utente&lt;/h1&gt;
&lt;h2 align=center&gt;Clicka sulla cella dove vuoi inserire il simbolo del
giocatore corrente&lt;/h2&gt;
</span>&lt;?php                         <span class=comment>// Inizio parte in PHP</span>
  $quads = $_REQUEST["quads"];  <span class=comment>// Estrago le variabili insrite dall'utente</span>
  $player = $_REQUEST["player"];
  if (!$quads) {              <span class=comment>// Se la variabile 'quads' non esiste</span>
    $quads = ",,,;,,,;,,,;";  <span class=comment>// La creo con tutte le celle vuote</span>
  }
  if ($player == "x") {       <span class=comment>// Se il giocatore corrente e' 'x'</span>
    $player= "o";             <span class=comment>// Lo cambio in 'o'</span>
    $color= "o.jpg";          <span class=comment>// e di conseguenza scelgo il suo simbolo</span>
  } else {                    <span class=comment>// Altrimenti (giocatore = 'o' o nessun giocatore</span>
    $player= "x";             <span class=comment>// Scelgo il giocatore 'x'</span>
    $color= "ics.jpg";        <span class=comment>// Con il relativo simbolo</span>
  }
  <span class=comment>// Stampo (in HTML) il giocatore corrente (uso il tag IMG)</span>
  echo "&lt;center&gt;Giocatore corrente: &lt;img align=middle src=$color&gt;&lt;br&gt;\n";
  <span class=comment>// Spezzo la variabile $quads nelle singole celle</span>
  $status=explode (";",$quads); <span class=comment>// Spezzo 'quads' nelle righe che contiene</span>
  for ($y=0;$y &lt; 3; $y ++) {  <span class=comment>// Loop sulle righe della tabella</span>
    $val[$y] = explode (",", $status [$y]); <span class=comment>// Spezza la riga nelle celle</span>
  }
  echo "&lt;table border=1&gt;\n";  <span class=comment>// Stampo l'intestazione della tabella</span>
  for ($y=0;$y &lt; 3; $y ++) {  <span class=comment>// Loop sulle righe della tabella</span>
    echo "&lt;tr&gt;\n";            <span class=comment>// Intestazione di riga</span>
    for ($x = 0; $x &lt; 3; $x ++) {     <span class=comment>// Loop sulle celle</span>
      if ($val [$y][$x] == "x") { <span class=comment>// Se la riga contiene 'x'</span>
        <span class=comment>// Genere una cella contente l'immagine 'x'</span>
        echo "&lt;td&gt;&lt;img src=ics.jpg border=0&gt;&lt;/td&gt;\n";
      } else if ($val [$y][$x] == "o") { <span class=comment>// Altrimenti se e' 'o'</span>
        <span class=comment>// Genere una cella contente l'immagine 'o'</span>
        echo "&lt;td&gt;&lt;img src=o.jpg border=0&gt;&lt;/td&gt;\n";
      } else {  <span class=comment>// Altrimenti la cella e' vuota</span>
        $link = "";  <span class=comment>// Prepara una stringa vuota</span>
        for ($oy=0;$oy &lt; 3; $oy ++) { <span class=comment>// Loop righe</span>
          for ($ox = 0; $ox &lt; 3; $ox ++) { <span class=comment>// loop celle</span>
            if ($ox == $x || $oy == $y) {  <span class=comment>// Se la cella e' la corrente</span>
              $link = "$link$player,"; <span class=comment>// aggiunge simbolo corrente (con virgola)</span>
            } else {  <span class=comment>// altrimenti cella corrente</span>
              $cur=$val[$oy][$ox];  // Recupera il vecchio valore della cella
              $link = "$link$cur,"; <span class=comment>// aggiunge valore vecchio (con virgola)</span>
            }
          }
          $link = "$link;"; <span class=comment>// Aggiunge il ';' in fondo alla riga</span>
        }
        <span class=comment>// Una volta creata la nuova 'quads' in 'link',</span>
        <span class=comment>// Stampa una cella contente una cella con contenuto 'blank'</span>
        <span class=comment>// e con un collegamento a questa stessa pagina, ma con due</span>
        <span class=comment>// parametri 'GET': 'player' e 'quads'</span>
        echo "&lt;td&gt;&lt;a href=13.php?player=$player&amp;quads=$link&gt;&lt;img\n";
        echo "src=blank.jpg border=0&gt;&lt;/a&gt;&lt;/td&gt;\n";
      }
    }
    echo "&lt;/tr&gt;\n";  <span class=comment>// Chiudo la riga</span>
  }
  echo "&lt;/table&gt;\n"; <span class=comment>// Chiudo la tabella</span>
  <span class=comment>// Stampo i link a pie' di pagina (potevo anche farlo in HTML...)</span>
  echo "&lt;h1 align=center&gt;[&lt;a href=13.php&gt;Ricomincia&lt;/a&gt;][&lt;a\n";
  echo "href=13.s.php&gt;Vedi il sorgente&lt;/a&gt;]&lt;/h1&gt;&lt;/center&gt;\n";
 ?&gt;<span class=html> &lt;!-- Fine parte in PHP, ripresa di HTML --&gt;
&lt;/font&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;p align=right&gt;&lt;i&gt;&amp;copy; Ing. Stefano Salvi - &lt;/i>released under &lt;a
 href=&quot;http://www.gnu.org/licenses/fdl.txt&quot;
 title=&quot;Testo inglese della FDL presso www.gnu.org&quot;&gt;FDL licence&lt;/a&gt;&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;</span>
</PRE></TT></B>
</font>
<?php tail (); ?>
