<?php
  require "include/struct.inc.php";
  head("$_POST, $_GET e superglobal"); ?>
<font size=+3><ul>
<li>Una <b>variabile dichiarata al di fuori di ogni funzione</b> viene chiamata <b>globale</b> e, a differenza delle variabili
dichiarate all'interno di una funzione dette locali, <b>&egrave; disponibile a tutte le funzioni</b></li>
<li>Una funzione, per poter <b>accedere ad una variabile globale</b>, deve <b>dichiararla esplicitamente <tt>global</tt></b></li>
<li>Per consentire un maggior controllo e per accedere anche ad altri dati, il PHP mette a disposizione quattro array associativi:
<ul><li><b><tt>$_REQUEST</tt></b> che contiene le <b>variabili del form</b>, a prescindere dal metodo usato</li>
<li><b><tt>$_GET</tt></b> che contiene le <b>variabili del form</b>, ma <b>solo</b> se ha il metodo <b><tt>GET</tt></b></li>
<li><b><tt>$_POST</tt></b> che contiene le <b>variabili del form</b>, ma <b>solo</b> se ha il metodo <b><tt>POST</tt></b></li>
<li><b><tt>$_COOKIE</tt></b> che contiene le <b>variabili immagazzinate nei <tt>COOKIE</tt></b> del browser</li>
<li><b><tt>$_SERVER</tt></b> che contiene le <b>variabili del server</b>, come l'indirizzo IP ed il tipo del browser</li>
</ul></li>
<li>Questi <b>vettori vengono creati dal PHP</b> e sono <b>disponibili</b> al <b>programma principale</b> ed
a <b>tutte le funzioni</b>, senza bisogno di dichairarle <b><tt>global</tt></b>, quindi vengono definiti <b>superglobal</b></li>
</ul></font>
<?php tail (); ?>
