<?php
  require "include/struct.inc.php";
  head("Costrutti e funzioni per gli array"); ?>
<font size=+3><ul>
<li>Gli <b>indici</b> dei vettori con indici numerici <b>partono da 0</b></li>
<li>Se si <b>assegna un valore</b> ad una cella di un vettore, <b>senza indicare l'indice</b>, il valore viene posto in un
<b>nuovo elemento</b>, in fondo al vettore</li>
<li>Se ad esempio il <b>vettore <tt>$pippo</tt> contiene gi&agrave; 3 elementi</b> (di indici 0, 1 e 2), l'istruzione
<b><tt>$pippo [] = 99</tt></b> crea l'elemento <b><tt>$pippo [3]</tt></b> e gli assegna il <b>valore <tt>99</tt></b></li>
<li>Per <b>creare velocemente un array</b> &egrave; possibile utilizzare la funzione <b><tt>array (...)</tt></b></li>
<li>Se tra le parentesi si indica un <b>elenco di valori o variabili</b> viene creato un <b>vettore</b> che contiene i valori nelle
<b>celle contigue a partire dalla cella <tt>0</tt></b></li>
<li>Ad esempio, l'<b>istruzione <tt>$pippo = array (&quot;primo&quot;, 2, 'terzo');</tt></b> inserisce <b><tt>primo</tt> in
<tt>$pippo[0]</tt>, <tt>2</tt> in <tt>$pippo[1]</tt> e <tt>terzo</tt> in <tt>$pippo[2]</tt></b></li>
<li>Per inserire in un <b>array associativo</b> delle <b>coppie <tt>chiave - valore</tt></b> occorre, nei parametri della funzione array,
<b>separare la chiave dal valore con il segno <tt>=&gt;</tt></b></li>
<li>Per <b>scorrere tutti gli elementi di un vettore</b> possiamo utilizzare il costrutto
<b><tt>foreach ($&lt;vettore&gt; as $&lt;elemento&gt) { .. }</tt></b> dove ad <b><tt>elemento</tt></b> verr&agrave; assegnato a
turno il <b>valore di ogni elemento</b> del vettore</li>
<li>Nel caso di <b>arrray associativi</b>, possiamo utilizzare la variante
<b><tt>foreach ($&lt;vettore&gt; as $&lt;chiave&gt;=&gt;$&lt;elemento&gt) { .. }</tt></b> dove ad <b><tt>elemento</tt></b> verr&agrave;
assegnato a turno il <b>valore di ogni elemento</b> del vettore ed a <b><tt>chiave</tt></b> la <b>rispettiva chiave</b></li>
</ul></font>
<?php tail (); ?>
